Xerces-C++ 3.2.5

Public Member Functions | List of all members
SAXNotRecognizedException Class Reference

`#include <xercesc/sax/SAXException.hpp>`

Inheritance diagram for SAXNotRecognizedException:

## Public Member Functions
| SAXNotRecognizedException (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| SAXNotRecognizedException (const XMLCh *const msg, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Create a new SAXException.
| SAXNotRecognizedException (const char *const msg, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Create a new SAXException.
| SAXNotRecognizedException (const SAXException &toCopy)
| Copy constructor.
Public Member Functions inherited from SAXException
| SAXException (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Default constructor.
| SAXException (const XMLCh *const msg, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Create a new SAXException.
| SAXException (const char *const msg, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Create a new SAXException.
| SAXException (const SAXException &toCopy)
| Copy constructor.
virtual | ~SAXException ()
| Destructor.
SAXException & | operator= (const SAXException &toCopy)
| Assignment operator.
virtual const XMLCh * | getMessage () const
| Get the contents of the message.
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new.
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation.
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new.
void | operator delete (void *p)
| This method overrides operator delete.
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new.
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new.

## Additional Inherited Members
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor.
Protected Attributes inherited from SAXException
XMLCh * | fMsg
MemoryManager * | fMemoryManager

## Constructor & Destructor Documentation

## ◆ SAXNotRecognizedException() [1/4]

SAXNotRecognizedException::SAXNotRecognizedException | ( | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` | ) |

## ◆ SAXNotRecognizedException() [2/4]

SAXNotRecognizedException::SAXNotRecognizedException | ( | const XMLCh *const | msg,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

Create a new SAXException.

Parameters

  msg | The error or warning message.
  manager | Pointer to the memory manager to be used to allocate objects.

## ◆ SAXNotRecognizedException() [3/4]

SAXNotRecognizedException::SAXNotRecognizedException | ( | const char *const | msg,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

Create a new SAXException.

Parameters

  msg | The error or warning message.
  manager | Pointer to the memory manager to be used to allocate objects.

## ◆ SAXNotRecognizedException() [4/4]

SAXNotRecognizedException::SAXNotRecognizedException | ( | const SAXException & | toCopy | ) |

Copy constructor.

Parameters

  toCopy | The exception to be copy constructed

The documentation for this class was generated from the following file:

- SAXException.hpp